<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/img_bg"
    android:orientation="vertical">

    <xn.xxp.widget.TitleBar
        android:id="@+id/titleBar"
        android:layout_width="0dp"
        android:layout_height="56dp"
        android:background="@mipmap/img_navigation_bg"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:showNotice="true"
        app:signed="true" />

    <xn.xxp.widget.NavViewCompat
        android:id="@+id/nav_view"
        android:layout_width="0dp"
        android:layout_height="42dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/titleBar"
        app:location="危险源"
        app:showBack="true"
        app:showHome="true" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginStart="17dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="17dp"
        android:layout_marginBottom="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/nav_view">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/left_nav"
            android:layout_width="184dp"
            android:layout_height="match_parent"
            android:background="@drawable/shape_rect_round_11_solid"
            android:orientation="vertical"
            android:padding="12dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/sdms_img"
                android:layout_width="27dp"
                android:layout_height="27dp"
                android:layout_marginStart="15dp"
                android:layout_marginTop="5dp"
                android:contentDescription="@null"
                android:src="@mipmap/icon_jssm_wxy"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="13dp"
                android:text="危险源"
                android:textColor="#ffffffff"
                android:textSize="17sp"
                app:layout_constraintBottom_toBottomOf="@id/sdms_img"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/sdms_img"
                app:layout_constraintTop_toTopOf="@id/sdms_img" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/risk"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginTop="14dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/sdms_img" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginStart="11dp"
            android:background="@drawable/shape_rect_round_11_solid_white"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/left_nav"
            app:layout_constraintTop_toTopOf="parent">

            <WebView
                android:id="@+id/webView"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <LinearLayout
                android:id="@+id/fullScreen"
                android:layout_width="56dp"
                android:layout_height="23dp"
                android:background="@mipmap/bg_full_screen"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                app:layout_constraintStart_toEndOf="@id/webView"
                app:layout_constraintTop_toTopOf="@id/webView">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="7dp"
                    android:text="全屏"
                    android:textColor="#333333"
                    android:textSize="10sp"
                    tools:ignore="SmallSp" />

                <ImageView
                    android:layout_width="11dp"
                    android:layout_height="11dp"
                    android:layout_marginStart="5dp"
                    android:contentDescription="@null"
                    android:src="@mipmap/icon_full_screen" />

            </LinearLayout>

            <ProgressBar
                android:id="@+id/progressbar"
                style="@android:style/Widget.ProgressBar.Horizontal"
                android:layout_width="0dp"
                android:layout_height="2dp"
                android:progress="0"
                android:progressDrawable="@drawable/progressbar"
                app:layout_constraintEnd_toEndOf="@id/webView"
                app:layout_constraintStart_toStartOf="@id/webView"
                app:layout_constraintTop_toTopOf="@id/webView" />

            <TextView
                android:id="@+id/qr_tip"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="20dp"
                android:layout_marginBottom="17dp"
                android:text="微信扫描二维码查看"
                android:textColor="#ff333333"
                android:textSize="10sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                tools:ignore="SmallSp" />

            <ImageView
                android:id="@+id/qrCode"
                android:layout_width="79dp"
                android:layout_height="79dp"
                android:layout_marginBottom="9dp"
                android:contentDescription="@null"
                android:scaleType="fitXY"
                app:layout_constraintBottom_toTopOf="@id/qr_tip"
                app:layout_constraintEnd_toEndOf="@id/qr_tip"
                app:layout_constraintStart_toStartOf="@id/qr_tip"
                tools:src="@mipmap/img_error" />

            <androidx.constraintlayout.widget.Group
                android:id="@+id/qrGroup"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:visibility="invisible"
                app:constraint_referenced_ids="qr_tip,qrCode,fullScreen" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <FrameLayout
        android:id="@+id/videoFullScreen"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>